Jump to content
CADTutor

Contribute a tip, become famous

Recommended Posts

hotrodz0321

Instead of selecting objects individually or with a window you can use the Fence option. Try it with the MOVE command. type F then draw the fence line and anything that touches it will be moved...same goes for ERASE, etc......not something i use all the time but it comes in handy every once in a while.

Share this post


Link to post
Share on other sites
tzframpton

Tip: Recieve a drawing that's dimensioned in Paperspace but need it in Modelspace?

 

Anytime you recieve a file that has been dimensioned in Paperspace over a layout, don't wish death upon the author just yet. use the command CHSPACE to select anything in paperspace and move it to modelspace, while sustaining the correct scale.

Share this post


Link to post
Share on other sites
tzframpton

Tip: Keep your viewport scaled automatically.

 

Tired of always editing the Scale Text to a specific viewport? Control this by using a FIELD. 1st, scale your viewport. 2nd, create your text. 3rd, within the text box, hold Ctrl+F to bring up the Field dialog box. Select Objects -> Object. Use the 'Select Object' button to select the viewport, when the list pops up use either "Custom Scale" or "Standard Scale". Under 'Preview' select how you want it displayed. Now every time you rescale, do a REGEN and your text will link to the scale of the viewport.

 

field_scale.png

Share this post


Link to post
Share on other sites
tzframpton

Tip: Looking for a spellchecker in AutoCAD?

 

Some of you might not know, but there's a spell checker within AutoCAD. just type SPELL at the command line.

Share this post


Link to post
Share on other sites
JBullseye74

TIP - Shortcut to copy an object with a basepoint press and hold CTRL + SHIFT + C. :D

Share this post


Link to post
Share on other sites
JBullseye74

TIP - Sick of your 2 line quick leader? Type LEADER for an unlimited number of lines to your text. :D

Share this post


Link to post
Share on other sites
JBullseye74

TIP - You want to offset onto a different layer? Type OFFSET - LAYER - CURRENT (and make sure your on the layer you want the offset to be) :D

Share this post


Link to post
Share on other sites
hotrodz0321

Probably nothing new to some but might be handy to some noobs here..

 

You can copy or move objects without being in the command itself.

-To move an object select it once, then grab it (not the grips) and move it to wherever you want.

-To copy an object, select it once, then hold down the CTRL key and grab the object and it will be copied to wherever you want.

Share this post


Link to post
Share on other sites
CADTutor

Great tips guys - thank you. I'll be adding those to the database.

 

Interestingly, I've learned a few new tricks looking through these tips - what a great idea. :)

Share this post


Link to post
Share on other sites
Mr T

In AutoCAD - Trim

 

Very simple, yet very powerful

 

Type Trim, select clicking form bottom right to top left across

all the objects then left click any lines/parts and they will be trimmed

away between any intersections/overlaps.

 

See Below

trim.jpg

Share this post


Link to post
Share on other sites
Mr T

In AutoCAD - STATUS Command

 

PC running sluggish ? Files loading slowly ? Display going wonky ?

 

Type STATUS and see what's going on in the machine.

 

 

 

Model space limits are X: 0.0000 Y: 0.0000 (Off)

X: 420.0000 Y: 297.0000

Model space uses X: 265.1952 Y: 106.1651

X: 1592.1646 Y: 814.5939 **Over

Display shows X: 0.0000 Y: 0.0000

X: 1889.1435 Y: 944.5718

Insertion base is X: 0.0000 Y: 0.0000 Z: 0.0000

Snap resolution is X: 10.0000 Y: 10.0000

Grid spacing is X: 10.0000 Y: 10.0000

 

Current space: Model space

Current layout: Model

Current layer: "0"

Current color: BYLAYER -- 7 (white)

Current linetype: BYLAYER -- "Continuous"

Current lineweight: BYLAYER

Current elevation: 0.0000 thickness: 0.0000

Fill on Grid off Ortho off Qtext off Snap off Tablet off

Object snap modes: Center, Endpoint, Insert, Intersection, Midpoint,

Nearest, Node, Perpendicular, Quadrant, Tangent,

Appint, Extension, Parallel

Free dwg disk (C:) space: 1015.7 MBytes

Free temp disk (C:) space: 1015.7 MBytes

Free physical memory: 161.3 Mbytes (out of 511.5M).

Free swap file space: 685.3 Mbytes (out of 1247.2M).

Share this post


Link to post
Share on other sites
Cad64

Did you know that Layer States can be saved and used to control visibility of layers per viewport? If you create and save a couple of layer states within an active viewport, you can then toggle them back and forth without affecting any other viewports, or model space. The changes only occur within the active viewport.

 

Try this:

Create a bunch of random objects in model space on different layers. Now switch to paper space and create two viewports so that you can see all the model space objects in both viewports. Now activate one of the viewports and open the Express Tools LMAN layer states manager. Create and save a new layer state. Now close LMAN and freeze some of the objects within the viewport. Open LMAN back up and create another new layer state. All of this must be done within the active viewport. You can now toggle back and forth between the two layer states within the active viewport without affecting model space or any other viewports. You can also switch to another viewport and use the same layer states on it, or create new ones.

Share this post


Link to post
Share on other sites
tzframpton

Tip: Want to maximize your work area as much as possible?

 

You can use Ctrl+0, or go to Tools -> Clean Screen, or click the faint blue square icon at the very bottom right of the AutoCAD program window to maximize your entire work area. The only thing that will show is your top Pulldown Menu, your Command Line, and/or your Layout Tabs, maximizing the drawing area as much as possible.

 

If you are a customized keyboard command type of person, the command is CLEANSCREENON and CLEANSCREENOFF so you can easily add it into your ACAD.PGP file complete with your personal Command Alias.

Share this post


Link to post
Share on other sites
tzframpton

Tip: Want an easier way to set properties to blocks in your Tool Palettes?

 

Lots of people think when you have blocks saved in a Tool Palette, that you have to Right-click -> Properties each individual block to apply custom settings. What if you have 20 blocks you all want on the same setting? just hold Ctrl and highlight the blocks you want within the Tool Palette, then right click on any of the selected blocks to apply global setting(s).

 

Also, you can hold the Ctrl button to select your 1st block, then hold the Shift button to select the last block, then right click on any of the selected blocks to apply a global setting(s). Makes things much easier than one at a time.

Share this post


Link to post
Share on other sites
RFRUSSO

You know when you have Mtext in your drawing and you want to change it from being justified from the top left to middle center, and when you do so it jumps and you then have to reposition it.

 

Try right clicking on the body of text and look for the option "Justify". Select that then look at the command line to see what options you now have.

 

Of course if you change your text from left to right the body of text will shift in that direction but overall text box will not move.

Share this post


Link to post
Share on other sites
dbroada

I don't seem to know any complicated tips but as this comes up from time to time.......

 

when specifying displacements (move, copy) preceeding your coordinates with a # will go to that coordinate and using an @ will displace by that amount. The default (without symbols) changed between 2004 & 2006.

Share this post


Link to post
Share on other sites
CromCruithne

At the urging of StykFacE, I'm posting a feature that most folks don't know about. New to 2007, I think, is a command called FLATSHOT. It creates a 2D block of a 3d object by projecting the lines of your current view, not UCS, onto a plane. This is a little more versatile than FLATTEN an so far, has never skewed the dimension of the object, which FLATTEN is notorious for. It also has the advantage of leaving the original object as is.

 

-Crom

Share this post


Link to post
Share on other sites
fuccaro

I use a short lisp to find the mass of the solids. I just select the solid(s) and I press a button I created to start the program. The densities for the materials I most use are hard-coded. The program returns a list -the user must select the value.

Hard to explain; if someone wish to play, here is the lisp:

(defun SumVolume ( / getvolume volume ss i ) 
   (defun getvolume ( object / area ) 
       (vl-catch-all-apply 
          '(lambda () 
               (setq volume 
                   (vla-get-volume 
                       object 
                   ) 
               ) 
           )    
       ) 
       (if volume volume 0.0) 
   ) 
   (if (setq volume 0.0 ss (ssget)) 
       (repeat (setq i (sslength ss)) 
           (setq volume 
               (+ volume 
                   (getvolume 
                       (vlax-ename->vla-object 
                           (ssname ss 
                               (setq i (1- i)) 
                           ) 
                       )    
                   ) 
               ) 
           ) 
       ) 
   ) 
   
   (if volume volume 0.0)
 (princ
   (strcat "\nMAT.  DENS.    Kg \n--------------------"
    "\n" "OL   (7.85): " (rtos (* volume 785e-)
    "\n" "Cu   (8.96): " (rtos (* volume 896e-)
    "\n" "Al   (2.70): " (rtos (* volume 270e-)
    "\n" "CuSn (8.15): " (rtos (* volume 815e-)
    "\n" "CuZn (8.35): " (rtos (* volume 835e-)
    "\n--------------------\n"
    )
   )
 (textscr)
 (princ)
 )

Oh, and OL means steel

For other materials (or measuring units) -just edit the list at the end of the program. It is not hard at all.

Share this post


Link to post
Share on other sites
dbroada

the 11th already and no new tips this month. :cry:

 

not really a tip as most regulars already know it BUT it is asked often:-

 

how do I get my file dialogue box back?

either

set FILEDIA to 1

or

type ~ at the command line

Share this post


Link to post
Share on other sites
RFRUSSO

The command is:

CREATEHLR

What it does:

Enter "CREATEHLR" at the command line. You will be promoted to select an object, after you select your object(s), select an insertion point, and then you will be asked if you would like to insert it into plan view, say yes. and now you have a block.

Other things that this command is good for:

if you want to explode text and you do not have express tools, use this to make a block out of your text and then explode it.:twisted:

try rotating your UCS by 30 deg. on the z and then 30 deg on the y use CREATEHLR to create a block and then you have a block that works as the "front" side of an isometric drawing.

This is not a command that I use often, but the few times I have, it has been gold. Practice it and then stick it in your back pocket for the right time to use it.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...